%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	cel

Name:		freepbx-%{rawname}
Version:	16.0.20
Release:	1%{?dist}
Summary:	Call Event Logging

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Patch0:         freepbx-cel-noBackup.patch

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
The Call Event Logging module allows you to see all inbound and outbound calls for your user and listen to any call recordings that are associated with that call.

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_sysconfdir}/asterisk
%{__install} -m0664 etc/* %{buildroot}%{_sysconfdir}/asterisk/

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%attr(0664,%{own},%{grp}) %config(noreplace) %{_sysconfdir}/asterisk/*

%changelog
* Wed Apr 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Tue Sep 05 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Tue Aug 29 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Tue May 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.16
- Updated version

* Sun Apr 16 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- do not create assets/ucp/less/cache since it is likely unneeded

* Tue Apr 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.15
- Updated version

* Thu Sep 08 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.12
- Updated version

* Wed Mar 30 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.7
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.6
- Initial build
